Subject: [Ltru] Re: recommended case of language tags

From: "Doug Ewell" <[email-masked]>
Date: Sun, 22 Apr 2007 10:20:27 -0700

Stephen Silver <ltru at argentum dot freeserve dot co dot uk> wrote:

> There is a minor problem related to the recommended case of language 
> tags.  (This is not new - the paragraphs in question are unchanged 
> from RFC 4646.)

The wording in sections 2.1 and 4.4 about "recommended" casing does not 
really apply to grandfathered tags, which were cased the way they were 
for particular reasons.  It also should not apply to private-use tags. 
We should consider adding a statement to 4646bis that clarifies this.

> Section 2.1 says:
>
>  Although case distinctions do not carry meaning in language tags,
>  consistent formatting and presentation of the tags will aid users.
>  The format of the tags and subtags in the registry is RECOMMENDED.
>
> So, for example, here are three grandfathered tags in recommended
> format:
>
>  sgn-BE-fr
>  sgn-BE-nl
>  sgn-CH-de
>
> Section 2.1 continues:
>
>  In this format, all non-initial two-letter subtags are uppercase,
>
> But this is incorrect for the three tags cited above.  (I think these
> three tags are the only ones where such a problem occurs.)
>
> The error is repeated in section 4.4:
>
>  When performing canonicalization of language tags, processors MAY
>  regularize the case of the subtags (that is, this process is
>  OPTIONAL), following the case used in the registry.  Note that this
>  corresponds to the following casing rules: uppercase all non-initial
>  two-letter subtags; titlecase all non-initial four-letter subtags;
>  lowercase everything else.

--
Doug Ewell  *  Fullerton, California, USA  *  RFC 4645  *  UTN #14
http://users.adelphia.net/~dewell/
http://www1.ietf.org/html.charters/ltru-charter.html
http://www.alvestrand.no/mailman/listinfo/ietf-languages

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: John Cowan <[email-masked]>
Date: Sun, 22 Apr 2007 13:46:25 -0400

> > sgn-CH-de

In any case, all of these will be deprecated in the 4646bis regime.

-- 
John Cowan              [email-masked]          http://www.ccil.org/~cowan
Historians aren't constantly confronted with people who carry on
self-confidently about the rule against adultery in the sixth amendment to
the Declamation of Independence, as written by Benjamin Hamilton. Computer
scientists aren't always having to correct people who make bold assertions
about the value of Objectivist Programming, as examplified in the HCNL
entities stored in Relaxational Databases.  --Mark Liberman